perl模块 Compress::Raw::Lzma 的安装


perl模块 Compress::Raw::Lzma 的安装
用 cpan 安装任意perl模块总是提示
Couldn’t untar Compress-Raw-Lzma-2.070.tar: ‘Cannot allocate memory’
可能是内存小,无奈之下 使用 cpanm ,CPANMinus 的安装,默认安装到 /usr/local/bin/cpanm
sudo curl -L http://cpanmin.us | perl – –sudo App::cpanminus
然后用 cpanm 安装  Compress::Raw::Lzma
cpanm Compress::Raw::Lzma
提示错误,无法安装,百度一圈,可能是系统中缺少 liblzma 库,
sudo apt-get install liblzma-dev
然后编译 Compress::Raw::Lzma 模块,居然成功 了,随后 cpanm IO::Compress::Lzma 一切正常
 tar zxvf Compress-Raw-Lzma-2.070.tar.gz
 cd Compress-Raw-Lzma-2.070
 perl Makefile.PL
 make
 make test
 make install
 
此外据说是 perl-modules 和 libwww-perl也有用。
sudo aptitude install perl-modules
apt-get install libwww-perl
卸载perl模块  cpanm -U Compress::Raw::Lzma
//////////////////////////////////////////////////////////////////
tar zxvf cgiproxy.latest.tar.gz
数据库名留空则不用数据库
Examples:
  ./nph-proxy.cgi init
  ./nph-proxy.cgi install-modules
  ./nph-proxy.cgi purge-db
  ./nph-proxy.cgi start-fcgi -n 1000
  ./nph-proxy.cgi start-server -n 1000
原文链接:,转发请注明来源!
评论已关闭。